package com.sjyt.icom.asst.context.pools;

import com.sjyt.icom.asst.common.annotation.RoomPool;
import com.sjyt.icom.asst.common.model.room.MeetRoom;
import org.apache.commons.pool2.PooledObjectFactory;
import org.apache.commons.pool2.impl.AbandonedConfig;
import org.apache.commons.pool2.impl.GenericObjectPool;
import org.apache.commons.pool2.impl.GenericObjectPoolConfig;

/**
 * <p>会议房间连接池</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/16 14:20
 */
@RoomPool
public class MeetRoomPool extends GenericObjectPool<MeetRoom> {
    public MeetRoomPool(PooledObjectFactory<MeetRoom> factory) {
        super(factory);
    }

    public MeetRoomPool(PooledObjectFactory<MeetRoom> factory, GenericObjectPoolConfig<MeetRoom> config) {
        super(factory, config);
    }

    public MeetRoomPool(PooledObjectFactory<MeetRoom> factory, GenericObjectPoolConfig<MeetRoom> config, AbandonedConfig abandonedConfig) {
        super(factory, config, abandonedConfig);
    }
}
